import request from '@/utils/request'


export default {
    // 获取配电图左侧列表---->基础信息
    gethookupComponentBasics() {
        return request({
            url: `hookup/gethookupComponentBasics`,
            method: 'GET',
            // params: params
            // data: data
        })
    },

    // 获取配电图list数据---->所有数据
    getHookupComponentComplete(data) {
        return request({
            url: `hookup/getHookupComponentComplete`,
            method: 'GET',
            // params: params
            data: data
        })
    },

    // 配电图数据保存---->保存
    setHookupComponentComplete(data) {
        return request({
            url: `hookup/setHookupComponentComplete`,
            method: 'POST',
            // params: params
            data
        })
    },

    // 配电图设备下拉---->设备下拉
    getDeviceAttributeList(params) {
        return request({
            url: `hookup/getDeviceAttributeList`,
            method: 'get',
            params: params
            // data
        })
    },

    // 配电图变量下拉---->变量下拉
    getDeviceAnalogVariableList(params) {
        return request({
            url: `hookup/getDeviceAnalogVariableList`,
            method: 'get',
            params: params
            // data
        })
    },
}